{
  "getAllPSPanelFields" : [ {
    "id" : "field_textbox",
    "viewFieldName" : "date"
  }, {
    "id" : "field_textbox1",
    "viewFieldName" : "bookname"
  } ],
  "codeName" : "TestCalendarPanel",
  "controlType" : "PANEL",
  "dynaModelFilePath" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Book/PSPANELS/TestCalendarPanel.json",
  "layoutMode" : "FLEX",
  "logicName" : "图书日历项布局面板",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Mob/PSAPPDATAENTITIES/Book.json"
  },
  "getPSLayout" : {
    "layout" : "FLEX"
  },
  "getRootPSPanelItems" : [ {
    "itemStyle" : "DEFAULT",
    "itemType" : "CONTAINER",
    "name" : "page_container",
    "getPSLayout" : {
      "dir" : "column",
      "layout" : "FLEX"
    },
    "getPSLayoutPos" : {
      "grow" : -1,
      "layout" : "FLEX"
    },
    "getPSPanelItems" : [ {
      "caption" : "文本",
      "contentType" : "RAW",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "static_text",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSRawItem" : {
        "caption" : "测试布局面板",
        "contentType" : "RAW",
        "name" : "static_text",
        "predefinedType" : "STATIC_TEXT",
        "renderMode" : "TEXT"
      },
      "rawContent" : "测试布局面板",
      "showCaption" : true
    }, {
      "caption" : "文本框",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field_textbox",
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field_textbox",
        "predefinedType" : "FIELD_TEXTBOX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "viewFieldName" : "date",
      "hidden" : false,
      "showCaption" : false
    }, {
      "caption" : "文本框",
      "itemStyle" : "DEFAULT",
      "itemType" : "FIELD",
      "name" : "field_textbox1",
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field_textbox1",
        "predefinedType" : "FIELD_TEXTBOX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "viewFieldName" : "bookname",
      "hidden" : false,
      "showCaption" : false
    } ]
  } ],
  "modelid" : "02AB8BED-9E34-4508-BDA1-8FAFB4F5F2B6",
  "modeltype" : "PSSYSVIEWPANEL"
}